package org.linlinjava.jz.core.config;

import com.github.binarywang.wxpay.exception.WxPayException;
import org.apache.commons.io.IOUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.http.ssl.SSLContexts;


public class WxPayApplyConfig{

    private int httpConnectionTimeout = 5000;
    private int httpTimeout = 10000;
    private String appId;
    private String appSecret;
    private String mchId;
    private String mchKey;
    private String tradeType;
    private String signType;

    public WxPayApplyConfig() {
    }

    public String getAppSecret(){return this.appSecret;}
    public void setAppSecret(String appSecret){this.appSecret=appSecret;}

    public int getHttpConnectionTimeout() {
        return this.httpConnectionTimeout;
    }

    public int getHttpTimeout() {
        return this.httpTimeout;
    }

    public String getAppId() {
        return this.appId;
    }

    public String getMchId() {
        return this.mchId;
    }

    public String getMchKey() {
        return this.mchKey;
    }


    public String getTradeType() {
        return this.tradeType;
    }

    public String getSignType() {
        return this.signType;
    }


    public void setAppId(String appId) {
        this.appId = appId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public void setMchKey(String mchKey) {
        this.mchKey = mchKey;
    }

    public void setTradeType(String tradeType){this.tradeType=tradeType;}

    public void setSignType(String signType){this.signType = signType;}

    private String declareOrderUrl;
    private String declareOrderUrlRe;
    private String declareOrderUrlQuery;

    public String getDeclareOrderUrlQuery() {
        return declareOrderUrlQuery;
    }

    public void setDeclareOrderUrlQuery(String declareOrderUrlQuery) {
        this.declareOrderUrlQuery = declareOrderUrlQuery;
    }

    public void setDeclareOrderUrlRe(String declareOrderUrlRe) {
        this.declareOrderUrlRe = declareOrderUrlRe;
    }

    public String getDeclareOrderUrlRe() {
        return declareOrderUrlRe;
    }

    public void setDeclareOrderUrl(String declareOrderUrl) {
        this.declareOrderUrl = declareOrderUrl;
    }

    public String getDeclareOrderUrl() {
        return this.declareOrderUrl;
    }
}
